:root {
    --color-white: rgb(250, 250, 250); /* This is #FAFAFA */
    --color-offwhite: rgba(250, 250, 250, .75);
    --color-dark: rgb(51, 51, 51);
    --color-purple: rgb(127, 0, 255);
    --color-purple-op: rgba(127, 0, 255, 0.25);
    --color-blue: rgb(0, 0, 255);
    --color-blue-op: rgba(0, 0, 255, 0.25);
    --color-red: rgb(218, 18, 25);
    --color-red-op: rgba(218, 18, 25, 0.25);
    --color-green: rgb(9, 121, 105);
    --color-green-op: rgba(9, 121, 105, 0.25);
    --color-orange: rgb(255, 95, 31);
    --color-orange-op: rgba(255, 95, 31, 0.75);
    --color-orange-faint: rgba(255, 95, 31, 0.5);
    --color-yellow: rgb(255, 255, 0);
    --color-yellow-op: rgb(255, 255, 0, 0.25);
    --color-cyan: rgb(0, 255, 255);
    --color-cyan-op: rgba(0, 255, 255, 0.25);
    --color-tg-blue: rgb(39, 166, 230);
    --color-tg-blue-op: rgba(39, 166, 230, 0.25);
    --color-grey: rgb(197, 198, 199);
    --color-black: rgb(0, 0, 0);
    --color-black-dim: rgba(0, 0, 0, 0.25);
    --color-black-faint: rgba(0, 0, 0, 0.66);
}

::-moz-selection { /* Code for Firefox */
    color: var(--color-white);
    background: var(--color-purple);
}

::selection {
    color: var(--color-white);
    background: var(--color-purple);
}

html, body {
    min-height: 100vh;
    min-width: 100vw;
    overflow-x: hidden;
}

body {
    font-family: 'Ubuntu', sans-serif;
    display: flex;
    flex-direction: column;
    color: var(--color-white);
    background-color: var(--color-dark);
}

h2 {
    margin-top: 2.25rem;
    margin-bottom: 1.75rem;
}

h3 {
    margin-top: 1.5rem;
    margin-bottom: 1.5rem;
}

h4 {
    margin-top: 1.25rem;
    margin-bottom: .75rem;
}

.invisible-link {
    display: flex;
    margin: 0;
    padding: 0;
    text-decoration: none;
}

.invisible-link:hover {
    text-decoration: none;
}

header {
    margin: 0 auto;
    max-width: 60rem;
    width: 100%;
    background: none;
}

.page-title {
    margin: 1.5rem auto 3rem;
    text-align: center;
}

@-webkit-keyframes shine {
    to {
        background-position: 200% center;
    }
}

@keyframes shine {
    to {
        background-position: 200% center;
    }
}

.text-small {
    font-size: small;
}

.block-rich_text {
    display: flex;
    flex-direction: column;
}

.richtext-image {
    margin: 1.5rem auto;
    max-width: calc(100vw - 2rem);
    object-fit: scale-down;
    height: auto;
}

.main-content, .cover-container {
    display: flex;
    flex-direction: column;
    width: 100%;
    margin: 0 auto;
}

.cover-container {
    max-width: 67.5rem;
    min-height: 100vh;
}

.main-content {
    min-height: 75vh;
}

/* Navbar */
.nav-container {
    display: flex;
}

.nav-masthead .nav-link {
    padding: .25rem 0;
    font-weight: 700;
    color: rgba(255, 255, 255, .5);
    background-color: transparent;
    border-bottom: .25rem solid transparent;
}

.nav-masthead .nav-link:hover,
.nav-masthead .nav-link:focus {
    border-bottom-color: rgba(255, 255, 255, .25);
}

.nav-masthead .nav-link + .nav-link {
    margin-left: 1rem;
}

.nav-masthead .active {
    color: var(--color-white);
    border-bottom-color: var(--color-white);
}

.nav-logo {
    transition: transform ease-out .25s;
}

.nav-logo:hover {
    transform: scale(1.1) rotate(3deg);
}

/* Footer */
.footer-social-link, .footer-social-link:hover {
    text-decoration: none;
    transition: all .5s;
    text-shadow: 3px 3px 10px 3px var(--color-white);
}

.footer-social-link:hover .footer-social-icon {
    transform: translateY(-2px) scale(1.025);
}

.footer-social-icon:hover {
    animation: gelatine .5s infinite;
}

@keyframes gelatine {
    from, to {
        transform: scale(1, 1);
    }
    25% {
        transform: scale(0.9, 1.1);
    }
    50% {
        transform: scale(1.1, 0.9);
    }
    75% {
        transform: scale(0.95, 1.05);
    }
}

/* links */
a {
    text-decoration: none;
    transition: .5s all;
}

a:not([class]) {
    color: var(--color-tg-blue);
    text-decoration: none;
}

a:hover {
    color: var(--color-purple);
}

.nav-link:hover, .nav-home-link:hover {
    text-decoration: none;
}

.share-div {
    height: 1.75rem;
    border-radius: 0.25rem;
    background-color: var(--color-tg-blue);
    padding: 2px 4px;
}

.telegram-share-button {
    color: #FFFFFF;
    font-size: small;
    min-width: 4rem;
    text-align: center;
    display: flex;
}

.telegram-share-button:hover {
    text-decoration: none;
    color: #FFFFFF;
    transition: all .3s;
    transform: translateY(-2px);
}

.telegram-share-button::after {
    display: flex;
    margin: auto;
}

.telegram-share-button img {
    margin: auto;
    padding-left: 3px;
}

body.body_widget_post {
    max-width: none !important;
    margin: 1rem auto;
}

.gridtainer {
    display: grid;
    grid-column-gap: .75rem;
    grid-row-gap: .5rem;
    grid-template-columns:repeat(auto-fit, 25rem);
}

/* For small screen devices (767px and below) */
@media only screen and (max-width: 767px) {
    .nav-logo-a {
        display: flex;
        margin: 0.25rem auto 0.5rem auto;
    }

    .nav-container {
        flex-direction: column;
    }

    .nav-logo-container {
        width: auto;
        margin: .5rem auto;
    }

    .telegram-share-button::after {
        content: 'Share';
        padding: 0 4px;
    }
}

/* Medium screen devices (768px and above) */
@media only screen and (min-width: 768px) {
    .nav-container {
        flex-direction: row;
        margin: 0 1rem;
    }

    .nav-masthead {
        margin-left: auto;
    }

    .telegram-share-button {
        padding-left: 6px;
    }

    .telegram-share-button::after {
        content: 'Share';
        padding: 0 6px;
    }
}

/* Big screen devices (889px and above) */
@media only screen and (min-width: 889px) {
    .nav-container {
        margin: 0 auto;
    }

    .telegram-share-button::after {
        content: 'Share on Telegram';
        padding: 0 8px;
    }
}

/* Extra big screen devices (1200px and above) */
@media only screen and (min-width: 1200px) {

}